Subject: bug#25233: closed (Re: bug#25233: parted is confused by ISO images, miscalculates sizes/offsets)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 18 Apr 2017 15:23:02 +0000

Your bug report

#25233: parted is confused by ISO images, miscalculates sizes/offsets

which was filed against the parted package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
25233: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=25233
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#25233: parted is confused by ISO images, miscalculates sizes/offsets
From: Phil Susi <[email-masked]>
To: Bjørn Forsman <[email-masked]>, [email-masked]
Date: Tue, 18 Apr 2017 11:23:59 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

On 12/19/2016 7:19 AM, Bjørn Forsman wrote:
> Hi all,
> 
> [My name is Bjørn Forsman, end user of parted, I'm using parted as my
> primary partitioning tool.]
> 
> When I run parted (latest version, 3.2) on an ISO file, it gets
> confused about the block size:
> 
>   $ parted ubuntu-16.04-desktop-amd64.iso p
>   WARNING: You are not superuser.  Watch out for permissions.
>   Warning: The driver descriptor says the physical block size is 2048
> bytes, but Linux says it is 512 bytes.
>   Ignore/Cancel?

This is because the image contains a mac partition table using a block
size of 2048 bytes since the image is meant to go on a cdrom, which has
a sector size of 2048 bytes.

> If I select "Ignore", it misinterprets the size and the partition table:
> 
>   Model:  (file)
>   Disk /home/bfo/Downloads/ubuntu-16.04-desktop-amd64.iso: 5944MB
>   Sector size (logical/physical): 2048B/512B
>   Partition Table: mac
>   Disk Flags:
> 
>   Number  Start   End     Size    File system  Name   Flags
>    1      2048B   6143B   4096B                Apple
>    2      1479MB  1481MB  2425kB               EFI

No; that is correctly interpreting the partition table.

> And if I select "Cancel" it gets the size right but doesn't show any more data:
> 
>   Model:  (file)
>   Disk /home/bfo/Downloads/ubuntu-16.04-desktop-amd64.iso: 1486MB
>   Sector size (logical/physical): 512B/512B
>   Partition Table: unknown
>   Disk Flags:

This has the size wrong, and shows no data since you bailed out of
trying to interpret the mac partition table.

> Why cannot parted handle this like fdisk?

Because fdisk does not know about mac partition tables.

Subject: parted is confused by ISO images, miscalculates sizes/offsets
From: Bjørn Forsman <[email-masked]>
To: [email-masked]
Date: Mon, 19 Dec 2016 13:19:15 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi all,

[My name is Bjørn Forsman, end user of parted, I'm using parted as my
primary partitioning tool.]

When I run parted (latest version, 3.2) on an ISO file, it gets
confused about the block size:

  $ parted ubuntu-16.04-desktop-amd64.iso p
  WARNING: You are not superuser.  Watch out for permissions.
  Warning: The driver descriptor says the physical block size is 2048
bytes, but Linux says it is 512 bytes.
  Ignore/Cancel?

If I select "Ignore", it misinterprets the size and the partition table:

  Model:  (file)
  Disk /home/bfo/Downloads/ubuntu-16.04-desktop-amd64.iso: 5944MB
  Sector size (logical/physical): 2048B/512B
  Partition Table: mac
  Disk Flags:

  Number  Start   End     Size    File system  Name   Flags
   1      2048B   6143B   4096B                Apple
   2      1479MB  1481MB  2425kB               EFI

And if I select "Cancel" it gets the size right but doesn't show any more data:

  Model:  (file)
  Disk /home/bfo/Downloads/ubuntu-16.04-desktop-amd64.iso: 1486MB
  Sector size (logical/physical): 512B/512B
  Partition Table: unknown
  Disk Flags:

Why cannot parted handle this like fdisk?

  $ fdisk -l ubuntu-16.04-desktop-amd64.iso
  Disk ubuntu-16.04-desktop-amd64.iso: 1.4 GiB, 1485881344 bytes,
2902112 sectors
  Units: sectors of 1 * 512 = 512 bytes
  Sector size (logical/physical): 512 bytes / 512 bytes
  I/O size (minimum/optimal): 512 bytes / 512 bytes
  Disklabel type: dos
  Disk identifier: 0x0e0e8e70

  Device                          Boot   Start     End Sectors  Size Id Type
  ubuntu-16.04-desktop-amd64.iso1 *          0 2902111 2902112  1.4G  0 Empty
  ubuntu-16.04-desktop-amd64.iso2      2888004 2892739    4736  2.3M
ef EFI (FAT-12/16/32)

I wonder if commit f98f791e19669b900345dad7d96ea4df974e4596
("libparted: device mapper uses 512b sectors") fixes this.
This commit is from february 2015. Any plans on making a new release?
(I'm an end user, I use released software.)

Best regards,
Bjørn Forsman